Mangools/API

Create new report

Configure a new scheduled email report or rank-change alert for a tracking.

Required fields:

  • name — human-readable report name
  • type — report type (weekly, monthly or rank-change alert)
  • emails — non-empty array of recipient email addresses
  • triggers — optional array of trigger types for rank-change alert reports
POST
/serpwatcher/trackings/{tracking_id}/reports

Authorization

ApiKeyAuth
x-access-token<token>

API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.

In: header

Path Parameters

tracking_id*string

Tracking ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.mangools.com/v3/serpwatcher/trackings/string/reports" \  -H "Content-Type: application/json" \  -d '{    "emails": [      "string"    ],    "name": "string",    "type": 0  }'
{
  "user_id": "string",
  "tracking_id": "string",
  "type": "string",
  "emails": "string",
  "name": "string",
  "triggers": "string",
  "created_at": "string"
}
{
  "error": {
    "type": "AuthError",
    "message": "Invalid API Key"
  }
}